Macros
Prev | Syntax of the Orchestra | Next

## Macros

Orchestra macros work like C preprocessor macros, and replace the content of the macro in the orchestra before it is compiled. The opcodes one can use to create, call, or undefine orchestra macros are:

- #define

- $NAME

- #ifdef

- #ifndef

- #end

- #else

- #include

- #includestr

- #undef

Orchestra macros can also be defined using the command line flag --omacro:.

More information and examples on the usage of orchestra macros can be found in the entry for #define.

These opcodes refer to orchestra macros; for score macros, refer to Score Macros.

Prev | Up | Next
Nomenclature | Home | Named Instruments